Dynamical Network Analysis
===========================

![GitHub release (latest by date)](https://img.shields.io/github/v/release/melomcr/dynetan)
[![PyPI](https://img.shields.io/pypi/v/dynetan)](https://pypi.org/project/dynetan/)
[![Documentation Status](https://readthedocs.org/projects/dynamical-network-analysis/badge/?version=latest)](https://dynamical-network-analysis.readthedocs.io/en/latest/?badge=latest)
[![GH CI Tests](https://github.com/melomcr/dynetan/actions/workflows/github-actions-ci.yml/badge.svg)](https://github.com/melomcr/dynetan/actions/workflows/github-actions-ci.yml)
[![codecov](https://codecov.io/gh/melomcr/dynetan/branch/master/graph/badge.svg)](https://codecov.io/gh/melomcr/dynetan)
![GitHub](https://img.shields.io/github/license/melomcr/dynetan)

The Python implementation of Dynamical Network Analysis was built to provide all
functionalities necessary to the analysis of Molecular Dynamics (MD) simulations
using the Dynamical Network Analysis method.

Install
-------

Install the latest version of Dynamical Network Analysis::

    $ pip install dynetan

For additional details, please see `INSTALL.md`.

Tutorial
--------

For an introduction to this implementation, a jupyter notebook tutorial has been
prepared and released along with its latest publication:

* [Generalized correlation-based dynamical network analysis: a new high-performance
approach for identifying allosteric communications in molecular dynamics
trajectories. J. Chem. Phys. (2020).
DOI: 10.1063/5.0018980](https://doi.org/10.1063/5.0018980)

Documentation
------------------------

A full documentation can be found at
https://dynamical-network-analysis.readthedocs.io/en/latest/index.html

Resources and References
------------------------

For the background on Dynamical Network Analysis, see the following papers that
describe its development:

* [Generalized correlation-based dynamical network analysis: a new
high-performance approach for identifying allosteric communications in molecular
dynamics trajectories. J. Chem. Phys. (2020).
DOI: 10.1063/5.0018980](https://doi.org/10.1063/5.0018980)

* [Experimental and computational determination of tRNA dynamics. FEBS Letters
(2010). DOI: 10.1016/j.febslet.2009.11.061](https://doi.org/10.1016/j.febslet.2009.11.061)

* [Exit strategies for charged tRNA from GluRS. JMB (2010).
DOI: 10.1016/j.jmb.2010.02.003](https://doi.org/10.1016/j.jmb.2010.02.003)

* [Dynamical Networks in tRNA:protein complexes. PNAS (2009).
DOI: 10.1073/pnas.0810961106](https://doi.org/10.1073/pnas.0810961106)
